World of Tanks Blitz
Player Support
All announcements

World of Tanks Blitz: Ceasing Support for Outdated iOS Devices

Starting from version 6.2, we cease support for the following outdated iOS-devices: iPhone 4s, iPad 2, iPad mini, and iPod touch 5G. You'll still be able to launch the game, but we cannot guarantee stable performance of the application.